[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#418650: openoffice.org: accessibility shouldn't need gnome-panel


Samuel Thibault wrote:
> Rene Engelhard, le Sat 14 Apr 2007 23:09:20 +0200, a écrit :
> > You do have openoffice.org-gtk and/or openoffice.org-gnome installed, have you?
> Ah, sorry, I missed that part, but it's not sufficient either.
> > And of course: Are you running under GNOME?
> No, and I'd rather not because that's not my usual working environment.
> That said, I tried running it and then it indeed works. I tried to
> reduce the amount of GNOME stuff running while keeping accessibility
> working in OOo, and it looks like the minimum I need for having
> OOo's accessibility is gnome-panel, which itself launches
> gnome-vfs-daemon. Running gnome-vfs-daemon alone isn't sufficient.

Well, I just looked again; GNOME is detected in the following way:

- look for GNOME_DESKTOP_SESSION_ID: if found
- if not found: GNOME_SM_PROXY and NAUTILUS_DESKTOP_WINDOW_ID are checked
- if not successful: look for a gnome-panel *running*
if one of them is successful -> we are running under GNOME

And as the GTK VCLplug only is activated in the GNOME case and the ATK bridge is included
in there...

BUT: You can try to export OOO_FORCE_DESKTOP="gnome". Which tells OOo to assume you used GNOME.
Maybe that helps..


 .''`.  Ren? Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `'  rene@debian.org | GnuPG-Key ID: 248AEB73
   `-   Fingerprint: 41FA F208 28D4 7CA5 19BB  7AD9 F859 90B0 248A EB73

Attachment: signature.asc
Description: Digital signature

Reply to: